Subject: Re: [net-next PATCH V1 1/3] net: bulk alloc and reuse of SKBs in NAPI context

From: Jesper Dangaard Brouer <[email-masked]>
Date: Tue, 10 May 2016 11:29:47 +0200

On Mon, 9 May 2016 13:46:32 -0700
Alexander Duyck <[email-masked]> wrote:

> > As you also know, tuning the SLUB system will give higher performance,
> > easily.  In the future, I'm planning to get some auto-tuning into the
> > SLUB allocator.  I've already discussed this with Christiph Lameter, at
> > MM-summit, see presentation[1] slides 4 and 5.  
> 
> We aren't discussing tuning parameters.  We are discussing this patch.
> If you want to argue that with certain tuning parameters this shows
> more performance then bring the numbers, but don't try to bias things.
> If you have to tune the system in some way that nobody will there is
> probably no point in submitting the patch because nobody will use it
> that way.

I think you missed the point. I didn't do parameter tuning for my
benchmarks. I hate tuning parameters, they are huge problem for users
of the kernel.
 My point is that I want to implement auto-tuning in the SLUB
allocator.  This network stack use-case, will just be one use-case
where the auto-tuning need to show improvements.  It is not that
complicated. FreeBSD have this kind of auto-tuning to the workload in
their slab implementation.

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  Author of http://www.iptv-analyzer.org
  LinkedIn: http://www.linkedin.com/in/brouer